body {
	font-family: system-ui, -apple-system, sans-serif;
	background: #121212;
	color: #e0e0e0;
	margin: 0;
	padding: 20px;
}

.dashboard {
	max-width: 900px;
	margin: 0 auto;
	background: #1e1e1e;
	padding: 20px;
	border-radius: 8px;
	box-shadow: 0 4px 6px rgba(0, 0, 0, 0.3);
}

.header {
	display: flex;
	justify-content: space-between;
	align-items: center;
	margin-bottom: 20px;
}

h1 {
	margin: 0;
	color: #4CAF50;
	font-size: 1.5rem;
}

.panel {
	background: #2a2a2a;
	padding: 15px;
	border-radius: 6px;
	margin-bottom: 20px;
	transition: 0.3s;
}

.controls {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
	gap: 5px;
}

.control-group {
	display: flex;
	flex-direction: column;
	gap: 5px;
	padding: 10px;
	border: 1px solid black
}

label {
	font-size: 0.85rem;
	color: #aaa;
}

.flex-row {
	display: flex;
	gap: 8px;
}

button,
select,
input {
	background: #333;
	color: white;
	border: 1px solid #555;
	padding: 9px 12px;
	border-radius: 4px;
	font-size: 0.95rem;
}

input[type="number"] {
	width: 90px;
}

button {
	cursor: pointer;
	transition: 0.2s;
	white-space: nowrap;
}

button:hover {
	background: #444;
}

button:disabled {
	opacity: 0.5;
	cursor: not-allowed;
}

.primary {
	background: #4CAF50;
	border-color: #4CAF50;
	color: #000;
	font-weight: bold;
}

.primary:hover {
	background: #45a049;
}

.danger {
	background: #f44336;
	border-color: #f44336;
	color: white;
}

/* Toggle Button Styles */
.toggle-btn.on {
	background: #afa54c;
	border-color: #a2af4c;
	color: black;
}

.toggle-btn.off {
	/* defaults */
}

#canvas-container {
	width: 100%;
	height: 300px;
	background: #000;
	border: 1px solid #333;
	border-radius: 4px;
	position: relative;
	overflow: hidden;
}

#logic-container {
	width: 100%;
	height: 140px;
	background: #000;
	border: 1px solid #333;
	border-radius: 4px;
	position: relative;
	overflow: hidden;
	margin-top: 10px;
}

canvas {
	display: block;
	width: 100%;
	height: 100%;
}

.stats-container {
	margin-top: 10px;
	font-family: monospace;
}

.stats {
	display: flex;
	justify-content: space-between;
}

.primary-stats {
	font-size: 1.1rem;
	color: #4CAF50;
	margin-bottom: 5px;
	font-weight: bold;
}

.secondary-stats {
	font-size: 0.95rem;
	color: #bbb;
	background: #2a2a2a;
	padding: 8px;
	border-radius: 4px;
	border: 1px solid #333;
}

.logs {
	margin-top: 20px;
	background: #000;
	padding: 10px;
	border-radius: 4px;
	height: 150px;
	overflow-y: auto;
	font-family: monospace;
	font-size: 0.85rem;
	color: #aaa;
	border: 1px solid #333;
}